> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get RMAs

> Get RMAs



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/logistics/getRMAs
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/logistics/getRMAs:
    post:
      tags:
        - Logistics Webservice
      summary: Get RMAs
      description: Get RMAs
      operationId: getRMAs
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Logistics_GetRMAsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Logistics_GetRMAsWSResponse'
          description: OK
components:
  schemas:
    Logistics_GetRMAsWSRequest:
      type: object
      description: Request object for getting RMAs (Return Merchandise Authorizations).
    Logistics_GetRMAsWSResponse:
      type: object
      description: Response object containing RMAs (Return Merchandise Authorizations).
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        rmaList:
          type: array
          description: List of RMAs (Return Merchandise Authorizations)
          items:
            $ref: '#/components/schemas/RMAType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    RMAType:
      type: object
      description: List of RMAs (Return Merchandise Authorizations)
      properties:
        address:
          type: string
          nullable: true
        advancedRMAs:
          $ref: '#/components/schemas/AdvancedRMAType'
        briefDescription:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        costInDollars:
          type: number
          format: float
          nullable: true
        country:
          type: string
          nullable: true
        customerUnresponsive:
          type: boolean
          nullable: true
        deleted:
          type: boolean
          nullable: true
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        errorCode:
          $ref: '#/components/schemas/ErrorCodeOrMessageEnum'
        failureDiagnostics:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        fedExReturnLabelSent:
          type: boolean
          nullable: true
        finalNotes:
          type: string
          nullable: true
        hardwareUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        initialFirmwareVersion:
          type: string
          nullable: true
        initiatedBy:
          type: string
          nullable: true
        inventoryNeeded:
          type: string
          nullable: true
        inventoryNeededMap:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        isRefurbished:
          type: boolean
          nullable: true
        knownIssue:
          type: boolean
          nullable: true
        lastRecordedFirmwareVersion:
          type: string
          nullable: true
        lastUpdatedAtSec:
          type: integer
          format: int64
          nullable: true
        lastUpdatedBy:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        postalCode:
          type: string
          nullable: true
        prevShippingInfoUsedBy:
          type: string
          nullable: true
        prevShippingInfoUsedByAtSec:
          type: integer
          format: int64
          nullable: true
        proactiveReplacement:
          type: boolean
          nullable: true
        rctpPartnerOrgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        recipientName:
          type: string
          nullable: true
        recipientPhoneNumber:
          type: string
          nullable: true
        replacementCourier:
          type: string
          nullable: true
        replacementHardwareUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        replacementTrackingNumber:
          type: string
          nullable: true
        requesterEmailAddress:
          type: string
          nullable: true
        returnLabelRequestedUpdatedAtSec:
          type: integer
          format: int64
          nullable: true
        returnLabelSent:
          type: boolean
          nullable: true
        returnLabelSentUpdatedAtSec:
          type: integer
          format: int64
          nullable: true
        returnTrackingNumber:
          type: string
          nullable: true
        rmaRequest:
          $ref: '#/components/schemas/RMARequest'
        rmaRequestUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        sdCardReplaced:
          type: boolean
          nullable: true
        shipmentMethod:
          $ref: '#/components/schemas/ShipmentMethodEnum'
        shipmentRequested:
          type: boolean
          nullable: true
        shipmentRequestedBy:
          type: string
          nullable: true
        shipmentRequestedUpdatedAtSec:
          type: integer
          format: int64
          nullable: true
        shipmentSent:
          type: boolean
          nullable: true
        shipmentSentUpdatedAtSec:
          type: integer
          format: int64
          nullable: true
        skipAutoRegistration:
          type: boolean
          nullable: true
        state:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/RMAStatusEnum'
        storageCid:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        warehouseInventoryNeeded:
          type: boolean
          nullable: true
        zenDeskTicketAssigneeEmail:
          type: string
          nullable: true
        zenDeskTicketSubject:
          type: string
          nullable: true
        zendeskTicket:
          type: integer
          format: int32
          nullable: true
    AdvancedRMAType:
      type: object
      properties:
        falseReport:
          type: boolean
          nullable: true
        invoiceNeeded:
          type: boolean
          nullable: true
        knownIssue:
          type: boolean
          nullable: true
        managerialApproved:
          type: boolean
          nullable: true
        rctpPartnerRequested:
          type: boolean
          nullable: true
        rctpPartnerUuid:
          type: string
          nullable: true
        rectified:
          type: boolean
          nullable: true
    ErrorCodeOrMessageEnum:
      type: string
      enum:
        - BADGE_READER_UNKNOWN
        - DEAD_OR_MISSING_BATTERY
        - DOORBELL_BUTTON_ISSUE
        - ERROR_2
        - ERROR_4
        - ERROR_5
        - ERROR_24
        - ERROR_28
        - ERROR_30
        - ERROR_39
        - ERROR_74
        - ERROR_84
        - FOREIGN_HARDWARE
        - BAD_SD_BLOCKS
        - NEVER_LEFT_BUSY_STATE
        - HARDWARE_DAMAGE
        - HEAVY_HARDWARE_DAMAGE
        - WATER_DAMAGE
        - VIDEO_HARDWARE_FAILURE
        - ENCRYPTED_CONTAINER_FAILURE_CREATE
        - ENCRYPTED_CONTAINER_FAILURE_OPEN
        - ENCRYPTED_CONTAINER_FAILURE_MOUNT
        - LIGHT_SENSOR
        - SD_CARD_UNKOWN
        - SD_CARD_READER_BROKEN
        - POWER_ISSUES
        - RS485_ISSUE
        - CUT_FILTER
        - QUALITY_OR_PERFORMANCE
        - NETWORK_ISSUES
        - UNKNOWN
        - ILLEGIBLE_SERIAL_COMM
        - NO_SERIAL_COMM
        - COSMETIC_DAMAGE
        - FIRMWARE_REFLASH_REQUIRED
        - IR_RING_OVERHEATED
        - REGISTERED_SENSOR
        - UNDISCOVERED_ISSUE
        - FOCUS_ISSUES
        - POTENTIAL_MANUFACTURING_DEFECT
        - NO_FAULT_FOUND
        - FDT_COMMAND_LINE_ERROR
        - KERNEL_PANIC
        - GET_DTB_FAILED
        - BOOTS_TO_AMBOOT
    RMARequest:
      type: object
      properties:
        formSubmitted:
          type: boolean
          nullable: true
        requestUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        rmaOpportunityId:
          type: string
          nullable: true
        salesforceAccountId:
          type: string
          nullable: true
        salesforcePartnerContactId:
          type: string
          nullable: true
        salesforcePartnerId:
          type: string
          nullable: true
    ShipmentMethodEnum:
      type: string
      enum:
        - GROUND
        - EXPEDITED
        - OVERNIGHT
    RMAStatusEnum:
      type: string
      enum:
        - INITIATED
        - PENDING
        - APPROVED
        - INPROGRESS
        - COMPLETE
        - RETURN
        - STOLEN
        - OPERATIONAL
        - FULFILLMENT_ERROR
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````